INSERT INTO api_department (name) VALUES
    ("Amsterdam"),
    ("Den Haag"),
    ("Rotterdam"),
    ("Utrecht");

INSERT INTO api_role (role, department_id, user_id) VALUES
    (1, 1, 1),
    (1, 2, 1),
    (1, 3, 1),
    (1, 4, 1);

INSERT INTO api_province (name) VALUES
    ("Noord-Holland"),
    ("Zuid-Holland"),
    ("Utrecht"),
    ("Gelderland"),
    ("Noord-Brabant"),
    ("Groningen"),
    ("Drenthe"),
    ("Flevoland"),
    ("Friesland"),
    ("Limburg"),
    ("Zeeland"),
    ("Overijssel");

INSERT INTO api_township (name, province_id) VALUES
    ("Amsterdam", 1),
    ("Amstelveen", 1),
    ("Diemen", 1),
    ("Den Haag", 2),
    ("Utrecht", 3),
    ("Rotterdam", 2);

INSERT INTO api_election (name, date) VALUES
    ("gemeenteraadsverkiezingen 2022", "2022-03-16");

INSERT INTO api_member (member, registrationDate, active, neighbourhood_id, user_id) VALUES
    ("m1234", "2021-03-01", 1, 81, 1);

DROP TABLE IF EXISTS buurten;
LOAD DATA INFILE "./data/GEBIED_BUURTEN.csv"
INTO TABLE buurten
COLUMNS TERMINATED BY ';'
-- IGNORE 1 LINES
;

INSERT INTO api_neighbourhood (name, code, district, residents, township_id)
    SELECT buurten.Buurt AS name, buurten.Buurt_code AS code, buurten.Stadsdeel_code AS district, 100, 1 FROM buurten;

INSERT INTO api_electionneighbourhood (flyer, status, election_id, neighbourhood_id, responsible_id)
    SELECT TRUE, TRUE, 1, ROW_NUMBER(), NULL FROM buurten;
